MODULE test_functions
!
!  Purpose:
!    Module containing test functions. The module creates
!    an explicit interface for the functions.
!
!  Record of revisions:
!      Date       Programmer          Description of change
!      ====       ==========          =====================
!    01/08/16    S. J. Chapman        Original code
!
IMPLICIT NONE

CONTAINS

   ! All of the following functions have the same signature,
   ! and they have an explicit interface because they are 
   ! contained in a module.

   REAL FUNCTION func1(x)
   IMPLICIT NONE
   REAL,INTENT(IN) :: x
   func1 = x**2 - 2*x + 4
   END FUNCTION func1

   REAL FUNCTION func2(x)
   IMPLICIT NONE
   REAL,INTENT(IN) :: x
   func2 = exp(-x/5) * sin(2*x)
   END FUNCTION func2

   REAL FUNCTION func3(x)
   IMPLICIT NONE
   REAL,INTENT(IN) :: x
   func3 = cos(x)
   END FUNCTION func3

END MODULE test_functions
